## pyentropy 0.4

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pyEntropy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pyEntropy.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## pyentropy 0.4.1

=== debian/changelog ===
pyentropy (0.4.1-1) unstable; urgency=low

  * New upstream release
    - addressed issues fixed in 0.4-1.1 (patch dropped)
    - addressed failed unittests (Closes: #671961)
  * Debian package regenerated using git-import-dscs --debsnap
    to not rely on a fragile git-svn bridge and since now upstream
    moved over to GIT anyways
  * debian/control
    - Boosted policy to 3.9.3 (no changes)
    - Added epoch 1: to numpy build-depends version
  * debian/copyright: DEP5
  * debian/upstream: to carry the bibliographic reference

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 17 Jun 2012 22:49:08 -0400

pyentropy (0.4-1.2) unstable; urgency=low

  * Non-maintainer upload (with permission from Yaroslav Halchenko).
  * Use temporary writable HOME during build.
    Set override taget for dh_clean and adjust override target for
    dh_auto_test. Create temporary writable home for build. This fixes FTBFS
    on buildd setups. (Closes: #664940)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 24 Mar 2012 22:11:24 +0100

pyentropy (0.4-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use multiplication operator rather then deprecated (and eventually
    removed) matvec method (closes: #625154).

 -- Jakub Wilk <jwilk@debian.org>  Mon, 15 Aug 2011 14:45:49 +0200

pyentropy (0.4-1) unstable; urgency=low

  * New upstream release
  * Switched from cdbs to dh7
  * Boosted policy to 3.9.1 (no changes)
  * Added python-nose and python-scipy into *Depends

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 24 Jan 2011 09:20:14 -0500

pyentropy (0.3-1) unstable; urgency=low

  * Initial release (Closes: #514754)
  * Built based on svn revision 41 which corresponds to treeish
    b1ce1c301cbcfef6bd11263d76b682d210dff877 in the packager's
    repository

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 10 Feb 2009 15:52:33 -0500

=== debian/control ===
Source: pyentropy
Section: python
Priority: extra
Maintainer: Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 7.0.50~), python-support, python,
               python-numpy (>= 1:1.3),
               python-scipy,
               python-nose
Standards-Version: 3.9.3
Homepage: http://code.google.com/p/pyentropy
Vcs-Browser: http://git.onerussian.com/?p=deb/pyentropy.git
Vcs-git: http://git.onerussian.com/vcs/deb/pyentropy.git

Package: python-pyentropy
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
         python-numpy (>= 1.3)
Recommends: python-scipy
Suggests: python-nose
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Python module for estimation information theoretic quantities
 A Python module for estimation of entropy and information theoretic
 quantities using cutting edge bias correction methods, such as
  * Panzeri-Treves (PT)
  * Quadratic Extrapolation (QE)
  * Nemenman-Shafee-Bialek (NSB)

=== debian/rules ===
#!/usr/bin/make -f

BUILDHOME = $(CURDIR)/debian/build

%:
	dh $@

override_dh_clean:
	dh_clean
	rm -rf $(BUILDHOME)

override_dh_auto_test:
	mkdir -p $(BUILDHOME)
	HOME=$(BUILDHOME) PYTHONPATH=$PWD nosetests -v -s pyentropy

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://code.google.com/p/pyentropy/downloads/list .*pyentropy-(.*)\.tar\.gz
